Name:           python-ethz-iam-webservice
Version:        0.16.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Manage users, groups and services of the ETH Identity and Access Management system (IAM)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.ethz.ch/sis/tools/ethz-iam-webservice
Source:         %{pypi_source ethz_iam_webservice}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ethz-iam-webservice' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ethz-iam-webservice
Summary:        %{summary}

%description -n python3-ethz-iam-webservice %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ethz-iam-webservice dev


%prep
%autosetup -p1 -n ethz_iam_webservice-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ethz-iam-webservice -f %{pyproject_files}


%changelog
%autochangelog